Bug 383091 - pointless creation of rpmnew files.
pointless creation of rpmnew files.
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-14 14:12 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-14 14:16:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-11-14 14:12:13 EST
I did a yum update from f7->f8, and ended up with lots of .rpmnew files in /etc
going through them all to find out which files need updating is painful because
a lot of them are completely bogus.

For example:

(14:09:59:root@gelk:etc)# ll ./libaudit.conf*
-rw-r----- 1 root root 191 2007-09-25 07:46 ./libaudit.conf
-rw-r----- 1 root root 191 2007-05-01 17:04 ./libaudit.conf.rpmnew
(14:10:04:root@gelk:etc)# diff -u ./libaudit.conf ./libaudit.conf.rpmnew

I never edited this (or many of the other files that now have a .rpmnew), and as
the content is exactly the same, there should be no reason for the file to be
created.  Perhaps a hash check of the file before writing one out would be worth
Comment 1 Dave Jones 2007-11-14 14:16:43 EST
actually, looking at the timestamps, seems they came from long ago.
never mind..
Comment 2 Panu Matilainen 2007-11-15 01:38:03 EST
Yup, later F7 and F8 rpm's shouldn't create any unnecessary .rpmnew etc files
anymore, this was fixed a few of months ago.

Note You need to log in before you can comment on or make changes to this bug.